Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Divya Ranjan <[email-masked]>
Date: Fri, 07 Mar 2025 18:18:26 +0000

Hello Simon,

> Hi Ricardo,
>
> On Fri, 07 Mar 2025 at 10:21, Ricardo Wurmus <[email-masked]> wrote:
>> Divya Ranjan <[email-masked]> writes:
>>
>>> We have a *humongous* backlog of patches, [...]
>>
>>> [...] we host a backend service that regularly checks the Codeberg
>>> repository for any new issues or PRs and then communicates to us
>>> through the Codeberg’s Forgejo API [0] the content of said issues and
>>> PRs. The data received from the API then gets directed to our Debbugs
>>> or Mumi backend, which parses the information from it and opens a new
>>> Debbugs issue for it. Thus, for every issue opened on Codeberg, we
>>> have a mirrored Debbugs issue [...]
>>
>> So at the end we'd have an even larger backlog of patches, and spread
>> across two systems...?  And where do we source the time and motivation
>> to hack on yet another piece of software?
>
> I proposed a similar one-way bridge here [1].  And obviously, my
> proposal is also to volunteer for helping in implementing in Mumi
> backend.

Apologies Simon, I had totally missed your mail and proposition. I came up with this earlier today. But I agree entirely with the proposal, and volunteer to work on such tooling as well.

Regards,
-- 
Divya Ranjan,
Philosophy, Mathematics, Libre Software.

PGP Fingerprint: F0B3 1A69 8006 8FB8 096A  2F12 B245 10C6 108C 8D4A